# OpenLayers.LonLat

This class represents a longitude and latitude pair

Summary

OpenLayers.LonLat | This class represents a longitude and latitude pair
Properties |
lon | {Float} The x-axis coodinate in map units
lat | {Float} The y-axis coordinate in map units
Constructor |
OpenLayers.LonLat | Create a new map location.
Functions |
toString | Return a readable string version of the lonlat
toShortString | {String} Shortened String representation of OpenLayers.LonLat object.
clone | {OpenLayers.LonLat} New OpenLayers.LonLat object with the same lon and lat values
add |
equals |
transform | Transform the LonLat object from source to dest.
wrapDateLine |
fromString | Alternative constructor that builds a new OpenLayers.LonLat from a parameter string
fromArray | Alternative constructor that builds a new OpenLayers.LonLat from an array of two numbers that represent lon- and lat-values.

### Properties

### lon

{Float} The x-axis coodinate in map units

### lat

{Float} The y-axis coordinate in map units

### Constructor

### OpenLayers.LonLat

Create a new map location.

#### Parameters

lon | {Number} The x-axis coordinate in map units. If your map is in a geographic projection, this will be the Longitude. Otherwise, it will be the x coordinate of the map location in your map units.
lat | {Number} The y-axis coordinate in map units. If your map is in a geographic projection, this will be the Latitude. Otherwise, it will be the y coordinate of the map location in your map units.

### Functions

### toString

> toString:function()

Return a readable string version of the lonlat

#### Returns

{String} String representation of OpenLayers.LonLat object. (e.g. <i>”lon=5,lat=42”</i>)

### toShortString

> toShortString:function()

#### Returns

{String} Shortened String representation of OpenLayers.LonLat object. (e.g. <i>”5, 42”</i>)

### clone

> clone:function()

#### Returns

{OpenLayers.LonLat} New OpenLayers.LonLat object with the same lon and lat values

### add

> add:function( | lon,
> | lat | )

#### Parameters

lon | {Float}
lat | {Float}

#### Returns

{OpenLayers.LonLat} A new OpenLayers.LonLat object with the lon and lat passed-in added to this’s.

### equals

> equals:function( | ll | )

#### Parameters

ll | {OpenLayers.LonLat}

#### Returns

{Boolean} Boolean value indicating whether the passed-in OpenLayers.LonLat object has the same lon and lat components as this. Note: if ll passed in is null, returns false

### transform

> transform: function( | source,
> | dest | )

Transform the LonLat object from source to dest. This transformation is in place: if you want a new lonlat, use .clone() first.

#### Parameters

source | {OpenLayers.Projection} Source projection.
dest | {OpenLayers.Projection} Destination projection.

#### Returns

{OpenLayers.LonLat} Itself, for use in chaining operations.

### wrapDateLine

> wrapDateLine: function( | maxExtent | )

#### Parameters

maxExtent | {OpenLayers.Bounds}

#### Returns

{OpenLayers.LonLat} A copy of this lonlat, but wrapped around the “dateline” (as specified by the borders of maxExtent)

### fromString

> OpenLayers.LonLat.fromString = function( | str | )

Alternative constructor that builds a new OpenLayers.LonLat from a parameter string

#### Parameters

str | {String} Comma-separated Lon,Lat coordinate string. (e.g. <i>”5,40”</i>)

#### Returns

{OpenLayers.LonLat} New OpenLayers.LonLat object built from the passed-in String.

### fromArray

> OpenLayers.LonLat.fromArray = function( | arr | )

Alternative constructor that builds a new OpenLayers.LonLat from an array of two numbers that represent lon- and lat-values.

#### Parameters

arr | {Array(Float)} Array of lon/lat values (e.g. [5,-42])

#### Returns

{OpenLayers.LonLat} New OpenLayers.LonLat object built from the passed-in array.

> toString:function()

Return a readable string version of the lonlat

> toShortString:function()

{String} Shortened String representation of OpenLayers.LonLat object.

> clone:function()

{OpenLayers.LonLat} New OpenLayers.LonLat object with the same lon and lat values
Create a new map location.

> add:function( | lon,
> | lat | )

> equals:function( | ll | )

> transform: function( | source,
> | dest | )

Transform the LonLat object from source to dest.

> wrapDateLine: function( | maxExtent | )

> OpenLayers.LonLat.fromString = function( | str | )

Alternative constructor that builds a new OpenLayers.LonLat from a parameter string

> OpenLayers.LonLat.fromArray = function( | arr | )

Alternative constructor that builds a new OpenLayers.LonLat from an array of two numbers that represent lon- and lat-values.
Class for coordinate transforms between coordinate systems.
Instances of this class represent bounding boxes.
Close